https://www.ory.sh/ logo
#talk-hydra
Title
# talk-hydra
h

hallowed-postman-21092

02/15/2022, 7:01 AM
@User Is it possible to update SDK only to specific languages such as Update dependencies for PHP allow SDK to support a new version of guzzle.
1
h

high-optician-2097

02/15/2022, 7:30 AM
if a fix is available in openapi-generator then we can update only that particular sdk to the new version!
h

hallowed-postman-21092

02/15/2022, 7:33 AM
Yes, I use openapi-generator to regenerate SDK for PHP that uses spec from spec/hydra/1.11.1-pre.5.json. Is it correct? And Do I need to update for all projects, right? Because I using only Hydra.
FYI, I do not use your script to generate SDK. I using command directly from docker image to regenerate it.
s

swift-chef-97535

02/15/2022, 8:18 AM
@User would you be interested in contributing an example using the sdk and php
h

hallowed-postman-21092

02/15/2022, 8:31 AM
@User It's Ok. If it just does only example integration SDK and PHP with Hydra. Because I never use other projects such as Keto, Kratos, and OathKeeper. Need to try and learn more.
m

magnificent-energy-493

02/15/2022, 9:15 AM
Hey Phongthorn, you dont need to update the spec for all projects if you are just using Ory Hydra. We would love a example for Ory Hydra using the PHP SDK. Let me know if I can support you with that.
h

hallowed-postman-21092

02/15/2022, 10:01 AM
m

magnificent-energy-493

02/15/2022, 10:03 AM
Yes, I didnt know about that one acutally! Did you try it out?
h

hallowed-postman-21092

02/15/2022, 10:03 AM
Not yet
But it should be working properly. However, I will try to create a new example, too. And Let you know @User
I was already PR please review 🙏
m

magnificent-energy-493

02/15/2022, 10:35 AM
What PR do you mean? can you link it here, or tag me in it please?
h

hallowed-postman-21092

02/15/2022, 11:14 AM